| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
Ogre::WindowEventUtilities Class Reference
Core » RenderSystem

`#include <OgreWindowEventUtilities.h>`

## Public Types
typedef multimap< RenderWindow *, WindowEventListener * >::type | WindowEventListeners

## Static Public Member Functions
static void | _addRenderWindow (RenderWindow *window)
static void | _removeRenderWindow (RenderWindow *window)
static void | addWindowEventListener (RenderWindow *window, WindowEventListener *listener)
static void | messagePump ()
static void | removeWindowEventListener (RenderWindow *window, WindowEventListener *listener)

## Static Public Attributes
static WindowEventListeners | _msListeners
static RenderWindowList | _msWindows

## Detailed Description

Remarks
  Utility class to handle Window Events/Pumping/Messages

## Member Typedef Documentation

## ◆ WindowEventListeners

typedef multimap<RenderWindow*, WindowEventListener*>::type Ogre::WindowEventUtilities::WindowEventListeners

## Member Function Documentation

## ◆ messagePump()

static void Ogre::WindowEventUtilities::messagePump | ( |  | ) |
| static

Remarks
  Call this once per frame if not using Root:startRendering(). This will update all registered RenderWindows (If using external Windows, you can optionally register those yourself)

## ◆ addWindowEventListener()

static void Ogre::WindowEventUtilities::addWindowEventListener | ( | RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  |
| static

Remarks
  Add a listener to listen to renderwindow events (multiple listener's per renderwindow is fine) The same listener can listen to multiple windows, as the Window Pointer is sent along with any messages.

Parameters

  window | The RenderWindow you are interested in monitoring
  listener | Your callback listener

## ◆ removeWindowEventListener()

static void Ogre::WindowEventUtilities::removeWindowEventListener | ( | RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  |
| static

Remarks
  Remove previously added listener

Parameters

  window | The RenderWindow you registered with
  listener | The listener registered

## ◆ _addRenderWindow()

static void Ogre::WindowEventUtilities::_addRenderWindow | ( | RenderWindow * | window | ) |
| static

Remarks
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters

  window | The RenderWindow to monitor

## ◆ _removeRenderWindow()

static void Ogre::WindowEventUtilities::_removeRenderWindow | ( | RenderWindow * | window | ) |
| static

Remarks
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters

  window | The RenderWindow to remove from list

## Member Data Documentation

## ◆ _msListeners

WindowEventListeners Ogre::WindowEventUtilities::_msListeners
| static

## ◆ _msWindows

RenderWindowList Ogre::WindowEventUtilities::_msWindows
| static

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h